:host {
  position: relative;
  flex-basis: 0;
  flex-grow: 1;
  width: 100%;
  max-width: 100%;
  min-height: 1px;
  padding-right: 8px;
  padding-left: 8px;
}

:host(.col-auto) {
  flex: 0 0 auto;
  width: auto;
  max-width: none;
}

:host(.col-1) {
  flex: 0 0 8.3333%;
  max-width: 8.3333%;
}

:host(.col-2) {
  flex: 0 0 16.6667%;
  max-width: 16.6667%;
}

:host(.col-3) {
  flex: 0 0 25%;
  max-width: 25%;
}

:host(.col-4) {
  flex: 0 0 33.3333%;
  max-width: 33.3333%;
}

:host(.col-5) {
  flex: 0 0 41.6667%;
  max-width: 41.6667%;
}

:host(.col-6) {
  flex: 0 0 50%;
  max-width: 50%;
}

:host(.col-7) {
  flex: 0 0 58.3333%;
  max-width: 58.3333%;
}

:host(.col-8) {
  flex: 0 0 66.6667%;
  max-width: 66.6667%;
}

:host(.col-9) {
  flex: 0 0 75%;
  max-width: 75%;
}

:host(.col-10) {
  flex: 0 0 83.3333%;
  max-width: 83.3333%;
}

:host(.col-11) {
  flex: 0 0 91.6667%;
  max-width: 91.6667%;
}

:host(.col-12) {
  flex: 0 0 100%;
  max-width: 100%;
}

:host(.offset-1) {
  margin-left: 8.3333%;
}

:host(.offset-2) {
  margin-left: 16.6667%;
}

:host(.offset-3) {
  margin-left: 25%;
}

:host(.offset-4) {
  margin-left: 33.3333%;
}

:host(.offset-5) {
  margin-left: 41.6667%;
}

:host(.offset-6) {
  margin-left: 50%;
}

:host(.offset-7) {
  margin-left: 58.3333%;
}

:host(.offset-8) {
  margin-left: 66.6667%;
}

:host(.offset-9) {
  margin-left: 75%;
}

:host(.offset-10) {
  margin-left: 83.3333%;
}

:host(.offset-11) {
  margin-left: 91.6667%;
}

@media (min-width: 576px) {

  :host(.col-sm) {
    flex-basis: 0;
    flex-grow: 1;
    max-width: 100%;
  }

  :host(.col-sm-auto) {
    flex: 0 0 auto;
    width: auto;
    max-width: none;
  }

  :host(.col-sm-1) {
    flex: 0 0 8.3333%;
    max-width: 8.3333%;
  }

  :host(.col-sm-2) {
    flex: 0 0 16.6667%;
    max-width: 16.6667%;
  }

  :host(.col-sm-3) {
    flex: 0 0 25%;
    max-width: 25%;
  }

  :host(.col-sm-4) {
    flex: 0 0 33.3333%;
    max-width: 33.3333%;
  }

  :host(.col-sm-5) {
    flex: 0 0 41.6667%;
    max-width: 41.6667%;
  }

  :host(.col-sm-6) {
    flex: 0 0 50%;
    max-width: 50%;
  }

  :host(.col-sm-7) {
    flex: 0 0 58.3333%;
    max-width: 58.3333%;
  }

  :host(.col-sm-8) {
    flex: 0 0 66.6667%;
    max-width: 66.6667%;
  }

  :host(.col-sm-9) {
    flex: 0 0 75%;
    max-width: 75%;
  }

  :host(.col-sm-10) {
    flex: 0 0 83.3333%;
    max-width: 83.3333%;
  }

  :host(.col-sm-11) {
    flex: 0 0 91.6667%;
    max-width: 91.6667%;
  }

  :host(.col-sm-12) {
    flex: 0 0 100%;
    max-width: 100%;
  }

  :host(.offset-sm-0) {
    margin-left: 0;
  }

  :host(.offset-sm-1) {
    margin-left: 8.3333%;
  }

  :host(.offset-sm-2) {
    margin-left: 16.6667%;
  }

  :host(.offset-sm-3) {
    margin-left: 25%;
  }

  :host(.offset-sm-4) {
    margin-left: 33.3333%;
  }

  :host(.offset-sm-5) {
    margin-left: 41.6667%;
  }

  :host(.offset-sm-6) {
    margin-left: 50%;
  }

  :host(.offset-sm-7) {
    margin-left: 58.3333%;
  }

  :host(.offset-sm-8) {
    margin-left: 66.6667%;
  }

  :host(.offset-sm-9) {
    margin-left: 75%;
  }

  :host(.offset-sm-10) {
    margin-left: 83.3333%;
  }

  :host(.offset-sm-11) {
    margin-left: 91.6667%;
  }
}

@media (min-width: 768px) {

  :host(.col-md) {
    flex-basis: 0;
    flex-grow: 1;
    max-width: 100%;
  }

  :host(.col-md-auto) {
    flex: 0 0 auto;
    width: auto;
    max-width: none;
  }

  :host(.col-md-1) {
    flex: 0 0 8.3333%;
    max-width: 8.3333%;
  }

  :host(.col-md-2) {
    flex: 0 0 16.6667%;
    max-width: 16.6667%;
  }

  :host(.col-md-3) {
    flex: 0 0 25%;
    max-width: 25%;
  }

  :host(.col-md-4) {
    flex: 0 0 33.3333%;
    max-width: 33.3333%;
  }

  :host(.col-md-5) {
    flex: 0 0 41.6667%;
    max-width: 41.6667%;
  }

  :host(.col-md-6) {
    flex: 0 0 50%;
    max-width: 50%;
  }

  :host(.col-md-7) {
    flex: 0 0 58.3333%;
    max-width: 58.3333%;
  }

  :host(.col-md-8) {
    flex: 0 0 66.6667%;
    max-width: 66.6667%;
  }

  :host(.col-md-9) {
    flex: 0 0 75%;
    max-width: 75%;
  }

  :host(.col-md-10) {
    flex: 0 0 83.3333%;
    max-width: 83.3333%;
  }

  :host(.col-md-11) {
    flex: 0 0 91.6667%;
    max-width: 91.6667%;
  }

  :host(.col-md-12) {
    flex: 0 0 100%;
    max-width: 100%;
  }

  :host(.offset-md-0) {
    margin-left: 0;
  }

  :host(.offset-md-1) {
    margin-left: 8.3333%;
  }

  :host(.offset-md-2) {
    margin-left: 16.6667%;
  }

  :host(.offset-md-3) {
    margin-left: 25%;
  }

  :host(.offset-md-4) {
    margin-left: 33.3333%;
  }

  :host(.offset-md-5) {
    margin-left: 41.6667%;
  }

  :host(.offset-md-6) {
    margin-left: 50%;
  }

  :host(.offset-md-7) {
    margin-left: 58.3333%;
  }

  :host(.offset-md-8) {
    margin-left: 66.6667%;
  }

  :host(.offset-md-9) {
    margin-left: 75%;
  }

  :host(.offset-md-10) {
    margin-left: 83.3333%;
  }

  :host(.offset-md-11) {
    margin-left: 91.6667%;
  }
}

@media (min-width: 992px) {

  :host(.col-lg) {
    flex-basis: 0;
    flex-grow: 1;
    max-width: 100%;
  }

  :host(.col-lg-auto) {
    flex: 0 0 auto;
    width: auto;
    max-width: none;
  }

  :host(.col-lg-1) {
    flex: 0 0 8.3333%;
    max-width: 8.3333%;
  }

  :host(.col-lg-2) {
    flex: 0 0 16.6667%;
    max-width: 16.6667%;
  }

  :host(.col-lg-3) {
    flex: 0 0 25%;
    max-width: 25%;
  }

  :host(.col-lg-4) {
    flex: 0 0 33.3333%;
    max-width: 33.3333%;
  }

  :host(.col-lg-5) {
    flex: 0 0 41.6667%;
    max-width: 41.6667%;
  }

  :host(.col-lg-6) {
    flex: 0 0 50%;
    max-width: 50%;
  }

  :host(.col-lg-7) {
    flex: 0 0 58.3333%;
    max-width: 58.3333%;
  }

  :host(.col-lg-8) {
    flex: 0 0 66.6667%;
    max-width: 66.6667%;
  }

  :host(.col-lg-9) {
    flex: 0 0 75%;
    max-width: 75%;
  }

  :host(.col-lg-10) {
    flex: 0 0 83.3333%;
    max-width: 83.3333%;
  }

  :host(.col-lg-11) {
    flex: 0 0 91.6667%;
    max-width: 91.6667%;
  }

  :host(.col-lg-12) {
    flex: 0 0 100%;
    max-width: 100%;
  }

  :host(.offset-lg-0) {
    margin-left: 0;
  }

  :host(.offset-lg-1) {
    margin-left: 8.3333%;
  }

  :host(.offset-lg-2) {
    margin-left: 16.6667%;
  }

  :host(.offset-lg-3) {
    margin-left: 25%;
  }

  :host(.offset-lg-4) {
    margin-left: 33.3333%;
  }

  :host(.offset-lg-5) {
    margin-left: 41.6667%;
  }

  :host(.offset-lg-6) {
    margin-left: 50%;
  }

  :host(.offset-lg-7) {
    margin-left: 58.3333%;
  }

  :host(.offset-lg-8) {
    margin-left: 66.6667%;
  }

  :host(.offset-lg-9) {
    margin-left: 75%;
  }

  :host(.offset-lg-10) {
    margin-left: 83.3333%;
  }

  :host(.offset-lg-11) {
    margin-left: 91.6667%;
  }
}

@media (min-width: 1200px) {

  :host(.col-xl) {
    flex-basis: 0;
    flex-grow: 1;
    max-width: 100%;
  }

  :host(.col-xl-auto) {
    flex: 0 0 auto;
    width: auto;
    max-width: none;
  }

  :host(.col-xl-1) {
    flex: 0 0 8.3333%;
    max-width: 8.3333%;
  }

  :host(.col-xl-2) {
    flex: 0 0 16.6667%;
    max-width: 16.6667%;
  }

  :host(.col-xl-3) {
    flex: 0 0 25%;
    max-width: 25%;
  }

  :host(.col-xl-4) {
    flex: 0 0 33.3333%;
    max-width: 33.3333%;
  }

  :host(.col-xl-5) {
    flex: 0 0 41.6667%;
    max-width: 41.6667%;
  }

  :host(.col-xl-6) {
    flex: 0 0 50%;
    max-width: 50%;
  }

  :host(.col-xl-7) {
    flex: 0 0 58.3333%;
    max-width: 58.3333%;
  }

  :host(.col-xl-8) {
    flex: 0 0 66.6667%;
    max-width: 66.6667%;
  }

  :host(.col-xl-9) {
    flex: 0 0 75%;
    max-width: 75%;
  }

  :host(.col-xl-10) {
    flex: 0 0 83.3333%;
    max-width: 83.3333%;
  }

  :host(.col-xl-11) {
    flex: 0 0 91.6667%;
    max-width: 91.6667%;
  }

  :host(.col-xl-12) {
    flex: 0 0 100%;
    max-width: 100%;
  }

  :host(.offset-xl-0) {
    margin-left: 0;
  }

  :host(.offset-xl-1) {
    margin-left: 8.3333%;
  }

  :host(.offset-xl-2) {
    margin-left: 16.6667%;
  }

  :host(.offset-xl-3) {
    margin-left: 25%;
  }

  :host(.offset-xl-4) {
    margin-left: 33.3333%;
  }

  :host(.offset-xl-5) {
    margin-left: 41.6667%;
  }

  :host(.offset-xl-6) {
    margin-left: 50%;
  }

  :host(.offset-xl-7) {
    margin-left: 58.3333%;
  }

  :host(.offset-xl-8) {
    margin-left: 66.6667%;
  }

  :host(.offset-xl-9) {
    margin-left: 75%;
  }

  :host(.offset-xl-10) {
    margin-left: 83.3333%;
  }

  :host(.offset-xl-11) {
    margin-left: 91.6667%;
  }
}
